@import '../styles.scss';

.particle-container {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.app-container {
  position: relative;
  height: 100%;
  width: 100%;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  overflow-y: hidden;
}

.app-wrapper {
  background: #1D1E22;
  height: 100%;
  width: 100%;
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
}

.router-outlet {
}

:host ::ng-deep app-card-list { // used to style the CardListComponent from the AppComponent
  width: 100%;
  height: 100%;
  overflow-y: scroll;
}

:host ::ng-deep app-card-detail { // used to style the CardDetailComponent from the AppComponent
  width: 100%;
  height: 100%;
}

:host ::ng-deep app-card-create { // used to style the CardCreateComponent from the AppComponent
  width: 100%;
  height: 100%;
}

app-menu {
  position: fixed;
  top: 50%;
  left: 34%;
}

